package at.gv.egiz.moazs.repository;

import at.gv.egiz.moazs.scheme.MsgResponse;
import at.gv.zustellung.app2mzs.xsd.DeliveryRequestType;
import at.gv.zustellung.msg.xsd.DeliveryNotificationType;
import at.gv.zustellung.msg.xsd.DeliveryRequestStatusType;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface DeliveryRepository {

    void store(DeliveryRequestType request);

    Optional<DeliveryRequestType> retrieveDeliveryRequest(String appDeliveryID);

    void store(MsgResponse response);

    Optional<MsgResponse> retrieveResponse(String responseID);

    void store(String responseID, byte[] data);

    Optional<byte[]> retrieveBinaryResponse(String responseID);


}
